#if !defined(AFX_FILEDIALOGVECTORIMPORT_H__B2086CF7_0F42_4291_931E_B9AEDD975D1F__INCLUDED_)
#define AFX_FILEDIALOGVECTORIMPORT_H__B2086CF7_0F42_4291_931E_B9AEDD975D1F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FileDialogVectorImport.h : header file
//


#include <afxdlgs.h>
#include ".\FDVI_Constants.h"



/////////////////////////////////////////////////////////////////////////////
// CFileDialogVectorImport dialog

class CFileDialogVectorImport : public CFileDialog
{
	DECLARE_DYNAMIC(CFileDialogVectorImport)

public:
	DWORD m_dwMode;
	int m_nImporterType;
	int m_nImporterTypeDefault;
	CString m_sImporterTypeDefault;
	CStatic m_Label;
	CStatic m_Notice;
	CComboBox m_Combo;
	CFileDialogVectorImport(BOOL bOpenFileDialog, // TRUE for FileOpen, FALSE for FileSaveAs
		LPCTSTR lpszDefExt = NULL,
		LPCTSTR lpszFileName = NULL,
		DWORD dwFlags = OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
		LPCTSTR lpszFilter = NULL,
		CWnd* pParentWnd = NULL);
	virtual BOOL OnFileNameOK();
	void SetImporterTypeDefault(int iType);

	//// 1.0781 PAT 30.06.03 IMPORT FLAGS ////
	BOOL m_bFlagText;
	CComboBox m_ComboFlagText;

	BOOL m_bFlagHatch;
	CComboBox m_ComboFlagHatch;

	BOOL m_bFlagSpecialLogFile;
	CComboBox m_ComboFlagLogFile;

	void SetImporterFlagText(BOOL bFlag);
	void SetImporterFlagHatch(BOOL bFlag);
	void SetImporterFlagSpecialLogFile(BOOL bFlag);

	//// 1.0781 //////////////////////////////
	
	//// 1.0783 PAT 25.06.03 REGISTRY FLAGS FOR CONTROLS ////
	BOOL m_bControlsFlagLogFile;
	void SetImporterControlsFlagLogFile(BOOL bFlag);
	//// 1.0783 /////////////////////////////////////////////

protected:
	//{{AFX_MSG(CFileDialogVectorImport)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FILEDIALOGVECTORIMPORT_H__B2086CF7_0F42_4291_931E_B9AEDD975D1F__INCLUDED_)
