// RTC4State.h 
//
// Header file for the CRTC4State class
//////////////////////////////////////////

//// 1.0835 PAT 02.03.04 RTC4 ////
// Added this file
//// 1.0835 //////////////////////

#ifndef RTC4STATE
#define RTC4STATE

// Class specific constants

class CRTC4State
{
public:
// Attributes
	BOOL
		m_bRTC4Working;

	UINT
		m_nCard,
		m_nCardCount;

	UINT
		m_nVerHardware,
		m_nVerSoftware,
		m_nVerDLL,
		m_nVerSerialNumber;

	BOOL
		m_bOptFly,
		m_bOpt2Heads,
		m_bOpt3D,
		m_bOptIO;

	//// 1.1023 PAT 03.06.05 RTC 3D OPTION FIX ////
	BOOL
		m_bAvailOptFly,
		m_bAvailOpt2Heads,
		m_bAvailOpt3D,
		m_bAvailOptIO;
	//// 1.1023 PAT ///////////////////////////////

	BOOL
		m_bFlyResetEncoder;
	double
		m_dFlyKX,
		m_dFlyKY;

	double 
		m_d3DZOffset;
	short
		m_i3DZ;

	int
		m_iFlySimAxis;
	
// Operators
public:

	CRTC4State (void);
	~CRTC4State (void);

	void Init (void);

	void operator =( const CRTC4State& src );
	BOOL operator ==( const CRTC4State& src );
	

protected:


};


#endif // RTC4STATE