//// 1.1037 PAT 25.07.05 SCANALONE ////
// Added this file
//// 1.1037 ///////////////////////////

// Declarations for wrapper functions


// 001
long WRAP_usb_status(void);
// 002
short WRAP_load_correction_file(CString sFileName, unsigned short nTable, double dGainX, double dGainY,
								double dRot, double dOffsetX, double dOffsetY);
// 003
short WRAP_load_cor(CString sFileName);
// 004
short WRAP_load_program_file(CString sFileName);
// 005
short WRAP_load_pro(CString sFileName);
// 006
short WRAP_load_varpolydelay(CString sFileName, unsigned short nTable);
// 007
short WRAP_load_z_table(double dA, double dB, double dC);
// 008
void WRAP_get_waveform(unsigned short nChannel, unsigned short nStop, unsigned short nMemPtr);
// 009
void WRAP_get_status(unsigned short *pBusy, long *pPos);
// 010
unsigned short WRAP_read_status(void);
// 011
unsigned short WRAP_get_dll_version(void);
// 012
long WRAP_get_input_pointer(void);
// 013
void WRAP_set_input_pointer(long lPos);
// 014
void WRAP_set_start_list_1(void);
// 015
void WRAP_set_start_list_2(void);
// 016
void WRAP_set_start_list(unsigned short nList);
// 017
void WRAP_execute_list_1(void);
// 018
void WRAP_execute_list_2(void);
// 019
void WRAP_execute_list(unsigned short nList);
// 020
void WRAP_write_8bit_port(unsigned short nValue);
// 021
void WRAP_write_io_port(unsigned short usValue);
// 022
void WRAP_auto_change(void);
// 023
void WRAP_aut_change(void);
// 024
void WRAP_start_loop(void);
// 025
void WRAP_quit_loop(void);
// 026
void WRAP_stop_execution(void);
// 027
void WRAP_dsp_start(void);
// 028
unsigned short WRAP_read_io_port(void);
// 029
void WRAP_write_da_1(unsigned short nValue);
// 030
void WRAP_write_da_2(unsigned short nValue);
// 031
void WRAP_write_da_x(unsigned short nPort, unsigned short nValue);
// 032
void WRAP_set_max_counts(long lCounts);
// 033
long WRAP_get_counts(void);
// 034
void WRAP_set_matrix(double dM11, double dM12, double dM21, double dM22);
// 035
void WRAP_set_offset(short iXOffset, short iYOffset);
// 036
void WRAP_goto_xy(short iX, short iY);
// 037
void WRAP_goto_xyz(short iX, short iY, short iZ);
// 038
unsigned short WRAP_get_hex_version(void);
// 039
void WRAP_enable_laser(void);
// 040
void WRAP_disable_laser(void);
// 041
void WRAP_stop_list(void);
// 042
void WRAP_restart_list(void);
// 043
unsigned short WRAP_get_rtc_version(void);
// 044
void WRAP_get_xy_pos(short *pX, short *pY);
// 045
void WRAP_get_xyz_pos(short *pX, short *pY, short *pZ);
// 046
void WRAP_select_list(unsigned short usList);
// 047
void WRAP_set_extstartpos(long lPos);
// 048
void WRAP_z_out(short iZ);
// 049
void WRAP_set_firstpulse_killer(unsigned short nFPS);
// 050
void WRAP_set_standby(unsigned short nHalfPer, unsigned short nWidth);
// 051
void WRAP_laser_signal_on(void);
// 052
void WRAP_laser_signal_off(void);
// 053
void WRAP_set_delay_mode(unsigned short nPoly, unsigned short nDirectMode3D, unsigned short nPolyLimit,
						 unsigned short nJumpMin, unsigned short nJumpLimit);
// 054
void WRAP_set_piso_control(short iA, short iB);
// 055
void WRAP_select_status(unsigned short nMode);
// 056
void WRAP_get_encoder(short *pX, short *pY);
// 057
void WRAP_select_cor_table(unsigned short usA, unsigned short usB);
// 058
void WRAP_execute_at_pointer(long lPos);
// 059
unsigned short WRAP_get_head_status(unsigned short nHead);
// 060
void WRAP_simulate_encoder(unsigned short nAxis);
// 061
void WRAP_release_wait(void);
// 062
unsigned short WRAP_get_wait_status(void);
// 063
void WRAP_set_control_mode(unsigned short usMode);
// 064
void WRAP_set_laser_mode(unsigned short nMode);
// 065
void WRAP_set_ext_start_delay(short iDelay, short iEncoder);
// 066
void WRAP_home_position(short iX, short iY);
// 067
unsigned short WRAP_read_ad_x(unsigned short nPort);
// 068
short WRAP_get_z_distance(short iX, short iY, short iZ);
// 069
unsigned short WRAP_get_startstop_info(void);
// 070
unsigned short WRAP_get_io_status(void);
// 071
double WRAP_get_time(void);
// 071
void WRAP_set_defocus(short iValue);
// 072
void WRAP_set_softstart_mode(unsigned short nMode, unsigned short nNumber, unsigned short nDelay);
// 073
void WRAP_set_softstart_level(unsigned short nIndex, unsigned short nLevel);
// 074
void WRAP_control_command(unsigned short nHead, unsigned short nAxis, unsigned short nData);
// 075
void WRAP_set_rot_center(long lX, long lY);
// 076
void WRAP_auto_change_pos(long lPos);
// 077
short WRAP_get_value(unsigned short nSignal);
// 078
short WRAP_store_on_mmc(void);
// 079
unsigned short WRAP_get_serial_number(void);
// 080
void WRAP_measurement_status(unsigned short *pBusy, unsigned short *pPos);
// 081
void WRAP_clear_list(void);
// 082
void WRAP_set_char_table(unsigned short nChar, long lPos);
// 083
void WRAP_time_update(void);
// 084
void WRAP_set_serial(long lNumber);
// 085
void WRAP_list_nop(void);
// 086
void WRAP_set_end_of_list(void);
// 087
void WRAP_jump_abs(short nX, short nY);
// 088
void WRAP_jump_abs_3d(short iX, short iY, short iZ);
// 089
void WRAP_mark_abs(short iX, short iY);
// 090
void WRAP_mark_abs_3d(short iX, short iY, short iZ);
// 091
void WRAP_jump_rel(short iX, short iY);
// 092
void WRAP_jump_rel_3d(short iX, short iY, short iZ);
// 093
void WRAP_mark_rel(short iX, short iY);
// 094
void WRAP_mark_rel_3d(short iX, short iY, short iZ);
// 095
void WRAP_write_8bit_port_list(unsigned short nValue);
// 096
void WRAP_write_da_1_list(unsigned short nValue);
// 097
void WRAP_write_da_2_list(unsigned short nValue);
// 098
void WRAP_write_da_x_list(unsigned short nPort, unsigned short nValue);
// 099
void WRAP_set_offset_list(short iXOffset, short iYOffset);
// 100
void WRAP_long_delay(unsigned short nDelay);
// 101
void WRAP_laser_on_list(unsigned short nTime);
// 102
void WRAP_set_jump_speed(double dSpeed);
// 103
void WRAP_set_mark_speed(double dSpeed);
// 104
void WRAP_set_laser_delays(short iOn, short iOff);
// 105
void WRAP_set_scanner_delays(unsigned short nJump, unsigned short nMark, unsigned short nPoly);
// 106
void WRAP_set_list_jump(long lPos);
// 107
void WRAP_list_call(long lPos);
// 108
void WRAP_list_return(void);
// 109
void WRAP_z_out_list(short iZ);
// 110
void WRAP_set_standby_list(unsigned short nHalfPer, unsigned short nWidth);
// 111
void WRAP_timed_jump_abs(short iX, short iY, double dTime);
// 112
void WRAP_timed_mark_abs(short iX, short iY, double dTime);
// 113
void WRAP_timed_jump_rel(short iX, short iY, double dTime);
// 114
void WRAP_timed_mark_rel(short iX, short iY, double dTime);
// 115
void WRAP_set_laser_timing(unsigned short nHalfPer, unsigned short nPW1,
						   unsigned short nPW2, unsigned short nTB1);
// 116
void WRAP_set_wobbel(unsigned short nAmp, double dFreq);
// 117
void WRAP_set_fly_x(double dKX);
// 118
void WRAP_set_fly_y(double dKY);
// 119
void WRAP_write_io_port_list(unsigned short usValue);
// 120
void WRAP_set_wait(unsigned short usValue);
// 121
void WRAP_simulate_ext_start(short iDelay, short iEncoder);
// 122
void WRAP_set_pixel_line(unsigned short nMode, unsigned short nPer,
						 double dX, double dY);
// 123
void WRAP_set_pixel(unsigned short nPW, unsigned short nDAC,
					unsigned short nADC);
// 124
void WRAP_set_extstartpos_list(long lPos);
// 125
void WRAP_laser_signal_on_list(void);
// 126
void WRAP_laser_signal_off_list(void);
// 127
void WRAP_set_firstpulse_killer_list(unsigned short nFPS);
// 128
void WRAP_set_io_cond_list(unsigned short nMask1, unsigned short nMask0, unsigned short nMaskSet);
// 129
void WRAP_clear_io_cond_list(unsigned short nMask1, unsigned short nMask0, unsigned short nMaskClear);
// 130
void WRAP_list_jump_cond(unsigned short nMask1, unsigned short nMask0, long lPos);
// 131
void WRAP_list_call_cond(unsigned short nMask1, unsigned short nMask0, long lPos);
// 132
void WRAP_save_and_restart_timer(void);
// 133
void WRAP_set_matrix_list(unsigned short nI, unsigned short nJ, double dM);
// 134
void WRAP_set_control_mode_list(unsigned short usMode);
// 135
void WRAP_set_defocus_list(short iValue);
// 136
void WRAP_set_ext_start_delay_list(short iDelay, short iEncoder);
// 137
void WRAP_set_wobbel_xy(unsigned short nLong, unsigned short nTrans, double dFreq);
// 138
void WRAP_calculate_fly(unsigned short nDir, double dDistance);
// 139
void WRAP_select_cor_table_list(unsigned short usA, unsigned short usB);
// 140
void WRAP_set_fly_rot(double drot);
// 141
void WRAP_fly_return(short iX, short iY);
// 142
void WRAP_set_trigger(unsigned short nPeriod, unsigned short nSample1, unsigned short nSample2);
// 143
void WRAP_arc_rel(short iX, short iY, double dAngle);
// 144
void WRAP_arc_abs(short nX, short nY, double dAngle);
// 145
void WRAP_time_fix(void);
// 146
void WRAP_mark_time(unsigned short nPart, unsigned short nMode);
// 147
void WRAP_mark_date(unsigned short nPart, unsigned short nMode);
// 148
void WRAP_mark_serial(unsigned short nMode, unsigned short nDigits);

