// Header file with version information for CWSData class
//
// ver_wsdata.h
//

/*
	Version 0	-	Date pre 1998.04.30

Original version of the CWSData class archive.
*/
#define WSDATA_1998_04_29		100

/*
	Version 1	-	Date 1998.05.01

This version added only to standardize.
It has the same value as the previous one.
*/
#define WSDATA_1998_05_01		100

/*
	Version 2	-	Date 1998.05.29

This version adds the m_bDocVersion variable to let the doc's
archive function know to serialize by versions since the doc wasn't
originally archiving a version number at the top.
*/
#define WSDATA_1998_05_29		101

#define WSDATA_1998_10_22		200

#define WSDATA_1999_02_15		300

/// 1.0228 DAN 7/23/99 QUEUE - REMOVAL OF PRELOADING ///
// This version adds a variable 
//		UINT	m_nListFileRecNum
// to the CWSData class and saves it
#define WSDATA_1999_07_23		400
/// 1.0228//////////////////////////////////////////////

/*
	This version adds the variables for the LocateAfterMark
	feature as well as the ListFileEOFAction variable.
		m_bLocateAfterMark
		m_dLocateX
		m_dLocateY
		
		m_iListFileDefaultEOFAction
*/
#define WSDATA_2004_09_04		500


/*
	This version adds Max IDs for items that have
	been added.  They were simply ommitted.
		m_nMaxLineID
		m_nMaxDrillID
		m_nMaxRTFID
*/
#define WSDATA_2008_06_27		510

/*
	This version adds the list file starting record
	number options:
		m_iListFileRecNumStartMode
		m_iListFileRecNumStart
*/
#define WSDATA_2008_09_05		520

/*
	This version adds TigerMark code:
	m_bTigerMarkOn
*/
#define WSDATA_2009_06_03		530


/*
	This version adds flag for which product line created the file
		m_bVerProLase7
*/
#define WSDATA_2009_11_23		540

// Now define the current version
#define VER_WSDATA				WSDATA_2009_11_23
//#define VER_WSDATA				WSDATA_2008_09_05
//#define VER_WSDATA				WSDATA_1999_07_23
//#define VER_WSDATA				WSDATA_2004_09_04
//#define VER_WSDATA				WSDATA_2008_06_27


//// 1.0931 PAT 06.09.04 ABORT ON LIST FILE EOF OPTION ////
//// PS080627C ITEM ID ARCHIVING ////
//// PS080905A LIST FILE START RECORD OPTIONS ////
