// Header file with version information for CBarCode class
//
// ver_barcode.h
//

/*
	Version 0	-	Date pre 1998.04.30

Original version of the CBarCode class archive.
*/
#define BARCODE_1998_04_29		0

/*
	Version 1	-	Date 1998.05.01

This version added only to standardize.
It has the same value as the previous one.
*/
#define BARCODE_1998_05_01		0

/*
	Version 2	- Date 1998.05.02

This version includes the members added the new method of when the text
is encoded as well as for implementation of the 2D bar code types.
Additions to the archive include:
	m_sBCText,
	m_bBorder,
	m_lBorderQZWidth,
	m_bUse2D,
	m_i2DType,
	m_s2DText,
	m_i2DRows, m_i2DCols
*/
#define BARCODE_1998_05_02		100

/*
	Version 3	-	Date 1998.06.27

This version adds
	m_iClass
*/
#define BARCODE_1998_06_27		110

/*
	Version 4	-	Date	2000.11.13

This version adds
	m_iDMSize
*/
#define BARCODE_2000_11_13		111

/*
	Version 5	-	Date	2001.06.06

This version adds
		m_sGenCodeName
		m_sGenCodeExe
		m_sGenCodeInput
		m_sGenCodeOutput
		m_asGenCodeArgValues[BC_GENCODE_ARGS_MAX]
		m_asGenCodeArgNames[BC_GENCODE_ARGS_MAX]
		m_abGenCodeArgFlags[BC_GENCODE_ARGS_MAX]
*/
#define BARCODE_2001_06_06		112

/*
	Version 6	-	Date	2002.05.20

This version adds
		m_iFillType
*/
#define BARCODE_2002_05_20		113

/*
	Version 7	-	Date	2002.07.08

  This version adds
		m_b2DOneDotPerCell
*/
#define BARCODE_2002_07_08		114

/*
	Version 8	-	Date	2005.09.07

  Actually this version really implements
  what version 7 should have done, but never
  did.
*/
#define BARCODE_2005_09_07		115


/*
	Version 9	-	Date	2005.11.01

  Adds line separator and end of last line character
  selectability to Data matrix codes:
	m_iLineSeparator
	m_iEndOfLastLine
*/
#define BARCODE_2005_11_01		116

/*
	Version 10	-	Date	2006.02.27

  Adds variable for marking 2D codes as spots instead
  of lines or circles.  SmallestSize flag resizes the
  object so that spots touch each other.
	m_b2DSmallestSize;
	m_i2DSpotType;
	m_d2DSpotRepRate;
	m_i2DSpotPulses;
	m_d2DSpotDuration;
*/
#define	BARCODE_2006_02_27		117

/*
	Version 11	-	Date	2006.05.24
	Adds variables for new options for PDF417, others
		m_bTruncate
		m_iECCMode
		m_iECCLevel
		m_iECCPercent
		m_iMaxRows
		m_iMaxCols
		m_iRCLimits
 */
#define	BARCODE_2006_05_24		120

 /*
        Version 12      -       Date    2008.01.14
        Adding for PDF417
*/
#define BARCODE_2008_01_14              130

// Now define the current version
//#define VER_BARCODE					BARCODE_1998_05_02
//#define VER_BARCODE					BARCODE_1998_06_27
//#define VER_BARCODE					BARCODE_2000_11_13
//#define VER_BARCODE					BARCODE_2001_06_06
//#define VER_BARCODE					BARCODE_2002_05_20
//#define VER_BARCODE					BARCODE_2002_07_08
//#define VER_BARCODE					BARCODE_2005_09_07
//#define VER_BARCODE					BARCODE_2005_11_01
//#define VER_BARCODE					BARCODE_2006_02_27
//#define VER_BARCODE						BARCODE_2006_05_24
#define VER_BARCODE						BARCODE_2008_01_14



//// 1.0467 PAT 13.11.00 DATA MATRIX SIZE ////
//// 1.0553 PAT 06.06.01 CUSTOM BARCODE ////
//// 1.0675 PAT 20.05.02 DATA MATRIX FILL ////
//// 1.0685 PAT 08.07.02 ONE DOT PER CELL ////
//// 1.1051 PAT 07.09.05 SERIALIZE SINGLE DOT PER CELL ////
//// 1.1079 PAT 01.11.05 LINE SEPARATOR BARCODE PARAMETERS ////
//// 1.1117 PAT 27.02.06 SPOTS IN 2DCODE ////
//// 1.1149 PAT 24.05.06 PDF417 - TAKE 2 ////
//// JT080116A Adding row/column for PDF417 ////