// ComApp.h
//
// Header file for the CComApp class
//////////////////////////////////
#ifndef COMAPP
#define COMAPP

//// 1.1307 PAT 01.03.07 COM APPLETS ////
// Added this file
//// 1.1307 /////////////////////////////

// This class is now derived from CObject
// and has been made serializable
#include <afx.h>

// Versions
// Version 0
#define COMAPP_2007_03_01		0

#define VER_COMAPP				COMAPP_2007_03_01

class CComApp : public CObject
{
	DECLARE_SERIAL(CComApp)

// Attributes
public:
	UINT m_nVersion;

	PROCESS_INFORMATION m_PI;
	CString m_sName;
	BOOL m_bEnable;
	CString m_sFile;
	CString m_sArguments;
	BOOL m_bShow;
	int m_iTerminateDelay;

// Operators
public:
	// Construction / Destruction
	CComApp(void);
	~CComApp(void);

	void Init(void);
	void InitPI(void);

	void Serialize( CArchive& ar );
	void operator =( const CComApp& src );
	BOOL operator ==( const CComApp& src );

	BOOL IsValid(void);
	BOOL IsRunning(void);



};

#endif // COMAPP