
//// 1.0323 PAT 08.04.00 GENPROGDLG ////
// Added this file
//// 1.0323 ////////////////////////////


#ifndef LENGTHYTASK
#define LENGTHYTASK

const int LT_MIN_DEFAULT			=	0;
const int LT_MAX_DEFAULT			=	10;
const int LT_STEP_DEFAULT			=	1;

const int LT_STATUS_ERROR			=	-1;
const int LT_STATUS_IDLE			=	0;
const int LT_STATUS_WORKING			=	100;
const int LT_STATUS_DONE			=	10000;


class CLengthyTask : public CObject
{

//Attributes
public:
	int
		m_iStatus,
		m_iMin,
		m_iMax,
		m_iStep,
		m_iPos;
private:
	CObject
		*m_pGenProgDlg;

// Implementations
public:
	CLengthyTask(void);					// Constructor
	~CLengthyTask(void);				// Destructor
	void Init (void);					// Initialize members

	int DetermineTaskRange(void);
	void Reset(void);
	virtual int DoTask(void);					// Initiates task
	BOOL Update(void);					// Updates progress
	

	CObject * GetGenProgDlg(void);
	void SetGenProgDlg(CObject *pGenProgDlg);

	int GetStatus(void);

// Operators
public:
};			

#endif // LENGHTYTASK


