// Header file with version information for CPref class
//
// ver_pref.h
//

/*
	Version 0	-	Date pre 1998.04.30

Original version of the CPref class archive.
*/
#define PREF_1998_04_29		0

/*
	Version 1	-	Date 1998.05.01

This version added only to standardize.
It has the same value as the previous one.
*/
#define PREF_1998_05_01		0

/*
	Version 2	-	Date 1998.05.30

  This version adds the grid parameters
*/
#define PREF_1998_05_30		1


/*
	Version 3	-	Date 1999.11.10

  This version adds the flag to enable/disable
  the QuickLoad (loading from temp files) feature.
*/
#define PREF_1999_11_10		200

/**** VERSION 3 NOT USED!!! DEV ONLY ***/

/*
	Version 4	-	Date 1999.11.11

  This version adds the m_bUseQLFonts flag to
  the pref archive.  The previous version's
  m_bUseQuickLoad is now m_bUseQLGraphics.
*/
#define PREF_1999_11_11		201


/// 1.0242 DAN 9/2/99 NEW HATCHFILL ADDITION FIRST REVISION ///
/*** VERSION 5	-	Date 199.12.17

/*
  This version adds the m_bLiveFill default flag
  to the pref archive.
*/
#define PREF_1999_12_17		300

//// 1.0327 PAT 17.04.00 PREF ARCHIVES ////
/*** VERSION 6 -	DAte 2000.04.20

/*
  This version removes the layer and item data from
  the archive.
*/
#define PREF_2000_04_20		1000

//// 1.0431 PAT 08.09.00 LAZ FILE RECOVERY ////
/*** VERSION 7 - Date 2000.09.08

/*
	This version adds the m_bAutoSaveAfterMark variable
*/
#define PREF_2000_09_08		1100
//// 1.0431 ///////////////////////////////////

/*** VERSION 8 - Date 2000.10.18
/*
	This version adds the m_dTTFSpaceFactor variable.
*/
#define PREF_2000_10_18		1200

/*** VERSION 9 - Date 2001.01.24
/*
	This version adds the m_aInitItems back into
	the archive.
*/
#define PREF_2001_01_24		1300

/*
	This verssion adds varible blanking
*/
#define PREF_2001_04_17		1400

// VERSION 11 - Date 2001.07.18
/*
	This version adds the m_bSDI variable for toggling
	the MDI / SDI interface. (Allowing only a single
	open document at a time.)
*/
#define PREF_2001_07_18		1500

// VERSION 12 - Date 2005.03.15
/*
	This version adds data to allow the user to select
	default starting folders for the various file
	open/save operations:
		m_bUseDefaultFolderLAZ	m_sDefaultFolderLAZ
		m_bUseDefaultFolderMAT	m_sDefaultFolderMAT
		m_bUseDefaultFolderFIX	m_sDefaultFolderFIX
		m_bUseDefaultFolderDXF	m_sDefaultFolderDXF
		m_bUseDefaultFolderFNT	m_sDefaultFolderFNT
*/
#define PREF_2005_03_15		1600

// VERSION 13 - Date 2005.09.01
/*
	This version adds data to allow the user to store
	default settings for the MarkControlDlg
		m_iMarkCtrlMarkMode
		m_bMarkCtrlAlignment
		m_iMarkCtrlNumPartsInRun
		m_bMarkCtrlContinuous
*/
#define PREF_2005_09_01		1700

// VERSION 14 - Date 2006.10.31
/*
	This version adds data for nudging
		m_iNudgeMode
		m_dNudgeSize
*/
#define PREF_2006_10_31		1800

// VERSION 15 - Date 2007.01.24
/*
	This version adds
		m_iMRUSize
*/
#define PREF_2007_01_24		1900

//	VERSION 16 = Date 2007.08.27
/*
	This version (re)adds serialization
	of the m_InitLayer variable.  This is only
	a skeleton layer.
		m_InitLayer added
*/
#define PREF_2007_08_27		2000

//// JT080505A Adding Language Selection Option ////
#define PREF_2008_05_05		2010
//// JT080505A ////

#define PREF_2009_09_23		2020
// Adds Simulate Speed options

// Now define the current version
#define VER_PREF			PREF_2009_09_23
//	#define VER_PREF			PREF_2008_05_05
//  #define VER_PREF			PREF_2007_08_27
//	#define VER_PREF			PREF_2007_01_24
//	#define VER_PREF			PREF_2006_10_31
//	#define VER_PREF			PREF_2005_09_01
//	#define VER_PREF			PREF_2005_03_15
//	#define VER_PREF			PREF_2001_07_18
//	#define VER_PREF			PREF_2001_04_17
//  #define VER_PREF			PREF_2001_01_24
//	#define VER_PREF			PREF_2000_10_18

//// 1.0447 PAT 18.10.00 TTF SPACE SIZE ////
//// 1.0493 PAT 24.01.01 DEFAULT OBJECT VALUES ////
//// 1.0577 PAT 18.07.01 FAUX SDI ////
//// 1.0997 PAT 15.03.05 DEFAULT FOLDERS IN PREF ////
//// 1.1049 PAT 01.09.05 MARK CONTROL PREFS ////
//// 1.1241 PAT 31.10.06 NUDGE SIZE ////
//// 1.1287 PAT 24.01.07 MRU LENGTH ADJUST ////
//// 1.1377 PAT 27.08.07 DEFAULT LAYER SETTINGS FROM PREF ////
//// PS090923A SPEED CONTROL IN SIMULATE ////
